org.encog.app.analyst.commands

## Class CmdNormalize

- java.lang.Object
- - org.encog.app.analyst.commands.Cmd
  - - org.encog.app.analyst.commands.CmdNormalize

-     public class CmdNormalize
      extends Cmd

  The normalize command is used to normalize data. Data normalization generally maps values from one number range to another, typically to -1 to 1.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMMAND_NAME` The name of this command.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CmdNormalize(EncogAnalyst theAnalyst)` Construct the normalize command.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `executeCommand(String args)` Execute this command.
    `String` | `getName()`

    - ### Methods inherited from class org.encog.app.analyst.commands.Cmd

      `getAnalyst, getKfold, getProp, getScript, obtainCross, obtainMethod, obtainTrainingSet, setKfold, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COMMAND_NAME

          public static final String COMMAND_NAME

      The name of this command.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CmdNormalize

          public CmdNormalize(EncogAnalyst theAnalyst)

      Construct the normalize command.
      Parameters:
        `theAnalyst` - The analyst to use.

  - ### Method Detail

    - #### executeCommand

          public boolean executeCommand(String args)

      Execute this command.
      Specified by:
        `executeCommand` in class `Cmd`
      Parameters:
        `args` - The arguments for this command.
      Returns:
        True if processing should stop after this command.

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `Cmd`
      Returns:
        The name of this command.

Copyright © 2014. All Rights Reserved.